| Home | Libraries | People | FAQ | More

## Class template slot

boost::slot — Pass slots as function arguments.

## Synopsis

    template<typename SlotFunction>
    class slot {
    public:
      // construct/copy/destruct
      template<typename Slot> slot(Slot);
    };

## Description

### `slot` public construct/copy/destruct

1.     template<typename Slot> slot(Slot target);

   Effects: | Invokes `visit_each` (unqualified) to discover pointers and references to `signals::trackable` objects in `target`. Initializes `this` to contain the incoming slot `target`, which may be any function object with which a `SlotFunction` can be constructed.